Name:		qt6ct
Version:	0.8
Release:	%mkrel 1
Summary:	Qt6 Configuration Tool
Group:		Graphical desktop/Other
# The entire source code is under BSD-2-Clause License
License:	BSD
Url:		https://github.com/trialuser02/qt6ct
Source0:	https://github.com/trialuser02/qt6ct/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:		qt6ct-0.8-mga-set-QT_QPA_PLATFORMTHEME.patch
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6BuildInternals)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(xkbcommon)

Requires:	qtsvg6

%description
This program allows users to configure Qt6 settings (theme, font, icons, etc.)
under DE/WM without Qt integration.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# Copy translations files
install -d %{buildroot}%{_datadir}/%{name}/translations
install -m 644 src/%{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

# devel lib not needed
find %{buildroot} -name 'libqt6ct-common.so' -delete

%files
%doc AUTHORS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib%{name}-common.so.%{version}
%{_qt6_plugindir}/platformthemes/libqt6ct.so
%{_qt6_plugindir}/styles/libqt6ct-style.so
%config %{_sysconfdir}/profile.d/%{name}.*sh


%changelog
* Mon Mar 13 2023 daviddavid <daviddavid> 0.8-1.mga9
+ Revision: 1948835
- new version: 0.8

* Wed Mar 08 2023 daviddavid <daviddavid> 0.7-3.mga9
+ Revision: 1948348
- switch to cmake build system

* Mon Nov 21 2022 daviddavid <daviddavid> 0.7-2.mga9
+ Revision: 1909858
- add patch to set the QT_QPA_PLATFORMTHEME environment variable
- initial package qt6ct

